Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.templates
Class ElemAttribute

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.UnImplNode
            |
            +--weblogic.apache.xalan.templates.ElemTemplateElement
                  |
                  +--weblogic.apache.xalan.templates.ElemUse
                        |
                        +--weblogic.apache.xalan.templates.ElemElement
                              |
                              +--weblogic.apache.xalan.templates.ElemAttribute

public class ElemAttribute
extends ElemElement

Implement xsl:attribute.

     &!ELEMENT xsl:attribute %char-template;>
     &!ATTLIST xsl:attribute
       name %avt; #REQUIRED
       namespace %avt; #IMPLIED
       %space-att;
     &

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  creating-attributes in XSLT Specification, Serialized Form

Fields inherited from class weblogic.apache.xalan.templates.ElemElement
`m_name_avt, m_namespace_avt`

Fields inherited from class weblogic.apache.xalan.templates.ElemTemplateElement
`m_docOrderNumber, m_hasVariableDecl, m_parentNode`

Constructor Summary
`ElemAttribute()`

Method Summary
`ElemTemplateElement` | `appendChild(ElemTemplateElement newChild)` Add a child to the child list.
`void` | `execute(TransformerImpl transformer)` Create an attribute in the result tree.
`java.lang.String` | `getNodeName()` Return the node name.
`int` | `getXSLToken()` Get an int constant identifying the type of element.
`protected java.lang.String` | `resolvePrefix(ResultTreeHandler rhandler, java.lang.String prefix, java.lang.String nodeNamespace)` Resolve the namespace into a prefix.
`protected boolean` | `validateNodeName(java.lang.String nodeName)` Validate that the node name is good.

Methods inherited from class weblogic.apache.xalan.templates.ElemElement
`compose, getName, getNamespace, setName, setNamespace`

Methods inherited from class weblogic.apache.xalan.templates.ElemUse
`applyAttrSets, getUseAttributeSets, setUseAttributeSets, setUseAttributeSets`

Methods inherited from class weblogic.apache.xalan.templates.ElemTemplateElement
`appendChild, canStripWhiteSpace, compareTo, containsExcludeResultPrefix, endCompose, error, error, error, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getParentElem, getParentNode, getParentNodeElem, getPrefixes, getPreviousSibling, getPreviousSiblingElem, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getUid, getXmlSpace, hasChildNodes, hasTextLitOnly, hasVariableDecl, isCompiledTemplate, isValidNCName, item, recompose, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class weblogic.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getEncoding, getImplementation, getLocalName, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSpecified, getStandalone, getStrictErrorChecking, getVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, isSupported, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setEncoding, setNodeValue, setPrefix, setStandalone, setStrictErrorChecking, setValue, setVersion, splitText, substringData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemAttribute

    public ElemAttribute()

Method Detail

### getXSLToken

    public int getXSLToken()

  Get an int constant identifying the type of element.

  Returns:
    The token ID for this element
  Overrides:
    getXSLToken in class ElemElement
  See Also:
    `Constants`

### getNodeName

    public java.lang.String getNodeName()

  Return the node name.

  Returns:
    The element name
  Overrides:
    getNodeName in class ElemElement

### execute

    public void execute(TransformerImpl transformer)
                 throws javax.xml.transform.TransformerException

  Create an attribute in the result tree.

  Parameters:
    `transformer` - non-null reference to the the current transform-time state.
    `sourceNode` - non-null reference to the current source node.
    `mode` - reference, which may be null, to the current mode.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    execute in class ElemElement
  See Also:
    creating-attributes in XSLT Specification

### resolvePrefix

    protected java.lang.String resolvePrefix(ResultTreeHandler rhandler,
                                             java.lang.String prefix,
                                             java.lang.String nodeNamespace)
                                      throws javax.xml.transform.TransformerException

  Resolve the namespace into a prefix. At this level, if no prefix exists, then return a manufactured prefix.

  Parameters:
    `rhandler` - The current result tree handler.
    `prefix` - The probable prefix if already known.
    `nodeNamespace` - The namespace, which should not be null.
  Returns:
    The prefix to be used.
  Overrides:
    resolvePrefix in class ElemElement

### validateNodeName

    protected boolean validateNodeName(java.lang.String nodeName)

  Validate that the node name is good.

  Parameters:
    `nodeName` - Name of the node being constructed, which may be null.
  Returns:
    true if the node name is valid, false otherwise.
  Overrides:
    validateNodeName in class ElemElement

### appendChild

    public ElemTemplateElement appendChild(ElemTemplateElement newChild)

  Add a child to the child list.

  Parameters:
    `newChild` - Child to append to the list of this node's children
  Returns:
    The node we just appended to the children list
  Throws:
    DOMException -
  Overrides:
    appendChild in class ElemTemplateElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference